apiVersion: v1
kind: Service
metadata:
  name: dockbix-agent-xxl
  labels:
    app: dockbix-agent-xxl
  
spec:
  ports:
  - port: 10050
    targetPort: 10050
    name: dockbix-agent-xxl
  selector:
    name: dockbix-agent-xxl
  type: ClusterIP
---
apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: dockbix-agent-xxl
  
  labels:
    tier: monitoring
    app: dockbix-agent-xxl
    version: v1
spec:
  template:
    metadata:
      labels:
        name: dockbix
    spec:
      # Filter to specific nodes:
      # nodeSelector:
      #  app: dockbix
      hostPID: true
      hostIPC: true
      hostNetwork: false
      containers:
        - resources:
            requests:
              cpu: 0.15
          securityContext:
            privileged: true
          env:
            - name: ZA_Server
              value: "zabbix-server"
            - name: ZA_ServerActive
              value: "zabbix-server"
          image: monitoringartist/dockbix-agent-xxl-limited
          name: dockbix
          volumeMounts:
            - name: rootfs
              mountPath: /rootfs
            - name: run
              mountPath: /var/run/
      volumes:
        - name: rootfs
          hostPath:
              path: /
        - name: run
          hostPath:
              path: /var/run/